For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
        • POSTCreate OCT Payment Request
        • GETList OCT Payment Requests
        • GETRetrieve OCT Payment Request
Get a Demo
LogoLogo
API ReferencePaymentsOCT

Retrieve OCT Payment Request

GET
https://host.com/v2/payments/oct/:id/
GET
/v2/payments/oct/:id/
$curl https://host.com/v2/payments/oct/id/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "a1b2c3d4-0000-4000-8000-000000000002",
3 "amount": 100,
4 "direction": "Push",
5 "status": "completed",
6 "consumer_id": "string",
7 "external_payment_card_id": "string",
8 "fee_amount": 0
9}
Get the OCT payment information
Was this page helpful?
Previous

Create Peer To Peer Payment Request

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"

Response

idstringformat: "uuid"
Unique identifier for this payment.
amountdouble
Transfer amount in USD.
directionstring

Always Push for OCT transactions.

statusstring
Current payment status.
consumer_idstring
Identifier of the consumer associated with this payment.
external_payment_card_idstringformat: "uuid"
External ID of the payment card that was credited.
fee_amountdouble
Fee amount charged for this transaction.